/*------------------------------------*\
  #Generic
\*------------------------------------*/
* {
	font-size: 16px;
	font-family: '微軟正黑體', 'Microsoft JhengHei', 'LiHei', Helvetica, sans-serif;
}

a {
	color: #000;
	&:hover, &:focus {
		color: #000;
		text-decoration: none;
	}
}

input {
	padding: $input_padding;
	border: solid 1px #000;
	border-radius: 0;
}

ul {
	list-style: none;
	margin: 0;
	padding: 0;
}

select {
	height: 30px;
	line-height: 30px;
	font-size: 16px;
	border: solid 1px #000;
	border-radius: 0;
	background: #fff;
}

input[type="checkbox"], input[type="radio"] {
	width: 20px;
	height: 20px;
	vertical-align: middle;
}

.ink-button {
	border-radius: 0;
}
.ink-navigation {
	ul.pagination.dotted {
		li {
			a {
				width: .5em;
				height: .5em;
			}
		}
	}
} 

.btn {
	display: block;
	background: #000;
	color: #fff;
	text-align: center;
	font-size: 16px;
	padding: 8px 0;
}
.content_wrap {
	padding: $header_height 0 calc(#{$footer_height} + 30px);
	// min-height: calc(100vh - #{$header_height} - #{$footer_height});
	min-height: 100vh;
	position: relative;
	&.noscroll {
		position: fixed;
	}
}
.page_bottom {
	background: #000;
	position: absolute;
	bottom: $footer_height;
	left: 0;
	width: 100%;
	p {
		color: #fff;
		font-size: 14px;
		line-height: 28px;
		margin: 0;
	}
}

.tmo_navigation {
	a, span {
		display: inline-block;
	}
	p {
		text-align: center;
		font-size: 14px;
	}
	> div {
		width: 180px;
		margin: 0 auto;
		a {
			width: 30px;
			height: 30px;
			background-image: url(../images/icons/spritesheet.png);
			background-repeat: no-repeat;
			background-position: 18% 93.5%;
			background-size: 393% auto;
			flex-grow: 0;
			&.tmo_navigation_next {
				background-position: 78% 93.5%;
			}
		}
		span {
			flex-grow: 4;
			font-size: 16px;
			line-height: 30px;
			font-weight: bold;
		}
	}
}

.redTxt {
	color: red;
}
.pinkTxt {
	color: #e98b7f;
}

.input_address {
	label {
		display: block;
	}
	select {
		width: 32%;
		margin: 0 0 10px;
		vertical-align: top;
	}
	.input_address_post {
		width: 30%;
		vertical-align: top;
	}
	.input_address_main {
		width: 100%;
	}
}

.btnWrap {
	text-align: center;
	.btn {
		display: inline-block;
		width: 48.5%;
		margin: 0 1% 0 0;
		border: solid 1px #000;
		padding: 5px 0;
		&:first-child {
			background: #fff;
			color: #000;
		}
		&:last-child {
			margin: 0;
		}
	}
}
.tableWrap {
	position: relative;
	width: 100%;
	overflow: auto;
	table {
		white-space: nowrap;
	}
}

#goTop {
	position: fixed;
	right: 15px;
	bottom: 25%;
	display: none;
	a {
		display: block;
		position: relative;
		padding-left: 22px;
		font-size: 14px;
		text-decoration: underline;
		&:before {
			content: '';
			border-bottom: solid 14px #000;
			border-left: solid 7px transparent;
			border-right: solid 7px transparent;
			border-top: 0;
			left: 0;
			top: 3px;
			position: absolute;
		}
	}
}